// Задача "Планета Константинов"
// 10-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class constant_sp implements Runnable {

	public static void main(String[] args) {
		new Thread(new constant_sp()).run();
	}

	public void run() {
		try {
			solve();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;

	PrintWriter out;

	StringTokenizer st;

	String nextToken() throws IOException {
		while (st == null || !st.hasMoreTokens()) {
			st = new StringTokenizer(br.readLine());
		}
		return st.nextToken();
	}

	int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean e, String s) {
		if (!e) {
			throw new Error("Assertion failure " + s);
		}
	}

	private static final String FILENAME = "constant";

	public void solve() throws IOException {
		br = new BufferedReader(new FileReader(FILENAME + ".in"));
		out = new PrintWriter(FILENAME + ".out");
		int n = nextInt();
		String[] s = new String[n]; 
		for (int i = 0; i < n; i++) {
			s[i] = "";
			st = new StringTokenizer(br.readLine());
			while (st.hasMoreTokens()) {
				s[i] += st.nextToken();
			}
		}
		st = new StringTokenizer(br.readLine());
		String ss = "";
		while (st.hasMoreTokens()) {
			ss += st.nextToken();
		}
		int ans = 0;
		for (int i = 0; i < n; i++) {
			if (ss.equals(s[i])) {
				ans++;
			}
		}
		out.println(ans);
		out.close();
	}
}
